Bug 196864 - [macOS WK1] ASSERTION FAILED: formData in WebCore::ResourceRequest::doUpdateResourceHTTPBody()
Summary: [macOS WK1] ASSERTION FAILED: formData in WebCore::ResourceRequest::doUpdateR...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-12 10:03 PDT by Ryan Haddad
Modified: 2019-04-30 16:56 PDT (History)
8 users (show)

See Also:


Attachments
Crash log (117.44 KB, text/plain)
2019-04-12 10:03 PDT, Ryan Haddad
no flags Details
Patch (3.78 KB, patch)
2019-04-29 19:57 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (6.33 KB, patch)
2019-04-30 11:06 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews115 for mac-highsierra (3.03 MB, application/zip)
2019-04-30 13:31 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Haddad 2019-04-12 10:03:09 PDT
Created attachment 367327 [details]
Crash log

The following assertion failure is seen on macOS Debug WK1 with layout test imported/w3c/web-platform-tests/xhr/event-upload-progress.htm:

ASSERTION FAILED: formData
./platform/network/cocoa/ResourceRequestCocoa.mm(134) : void WebCore::ResourceRequest::doUpdateResourceHTTPBody()
1   0x10ce1ce79 WTFCrash
2   0x11bb1047b WTFCrashWithInfo(int, char const*, char const*, int)
3   0x11c68cf0b WebCore::ResourceRequest::doUpdateResourceHTTPBody()
4   0x11f2ef734 WebCore::ResourceRequestBase::updateResourceRequest(WebCore::HTTPBodyUpdatePolicy) const
5   0x11f2f064e WebCore::ResourceRequestBase::httpBody() const
6   0x11ebc7606 WebCore::CachedRawResource::canReuse(WebCore::ResourceRequest const&) const
7   0x11ebd239e WebCore::CachedResourceLoader::determineRevalidationPolicy(WebCore::CachedResource::Type, WebCore::CachedResourceRequest&, WebCore::CachedResource*, WebCore::CachedResourceLoader::ForPreload, WebCore::CachedResourceLoader::DeferOption) const
8   0x11ebcd8ea WebCore::CachedResourceLoader::requestResource(WebCore::CachedResource::Type, WebCore::CachedResourceRequest&&, WebCore::CachedResourceLoader::ForPreload, WebCore::CachedResourceLoader::DeferOption)
9   0x11ebcf620 WebCore::CachedResourceLoader::requestRawResource(WebCore::CachedResourceRequest&&)
10  0x11ea74efc WebCore::DocumentThreadableLoader::loadRequest(WebCore::ResourceRequest&&, WebCore::SecurityCheckPolicy)
11  0x11ea7609d WebCore::DocumentThreadableLoader::preflightSuccess(WebCore::ResourceRequest&&)
12  0x11ea51550 WebCore::CrossOriginPreflightChecker::validatePreflightResponse(WebCore::DocumentThreadableLoader&, WebCore::ResourceRequest&&, unsigned long, WebCore::ResourceResponse const&)
13  0x11ea518c9 WebCore::CrossOriginPreflightChecker::notifyFinished(WebCore::CachedResource&)
14  0x11ebc8d6f WebCore::CachedResource::checkNotify()
15  0x11ebc4c21 WebCore::CachedResource::finishLoading(WebCore::SharedBuffer*)
16  0x11ebc5f09 WebCore::CachedRawResource::finishLoading(WebCore::SharedBuffer*)
17  0x11eb52461 WebCore::SubresourceLoader::didFinishLoading(WebCore::NetworkLoadMetrics const&)
18  0x11eb3ac32 WebCore::ResourceLoader::didFinishLoading(WebCore::ResourceHandle*)
19  0x11fe7e941 -[WebCoreResourceHandleAsOperationQueueDelegate connectionDidFinishLoading:]::$_7::operator()()
20  0x11fe7e829 WTF::Function<void ()>::CallableWrapper<-[WebCoreResourceHandleAsOperationQueueDelegate connectionDidFinishLoading:]::$_7>::call()
21  0x10ce49e4a WTF::Function<void ()>::operator()() const
22  0x10ce8113b WTF::dispatchFunctionsFromMainThread()
23  0x10ce85085 -[JSWTFMainThreadCaller call]
24  0x7fff4c347972 __NSThreadPerformPerform
25  0x7fff4a05c31b __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__
26  0x7fff4a05c2c1 __CFRunLoopDoSource0
27  0x7fff4a0401bb __CFRunLoopDoSources0
28  0x7fff4a03f783 __CFRunLoopRun
29  0x7fff4a03f085 CFRunLoopRunSpecific
30  0x107f42e70 runTest(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&)
31  0x107f420da runTestingServerLoop()

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=imported%2Fw3c%2Fweb-platform-tests%2Fxhr%2Fevent-upload-progress.htm
Comment 1 Radar WebKit Bug Importer 2019-04-12 10:04:29 PDT
<rdar://problem/49854497>
Comment 2 Ryan Haddad 2019-04-12 10:05:17 PDT
This test was marked as a flaky crash as part of https://trac.webkit.org/changeset/235354/webkit
Comment 3 Ryan Haddad 2019-04-12 10:20:32 PDT
Skipped test and updated bug number in https://trac.webkit.org/changeset/244219/webkit
Comment 4 youenn fablet 2019-04-29 19:57:02 PDT
Created attachment 368532 [details]
Patch
Comment 5 youenn fablet 2019-04-30 11:06:42 PDT
Created attachment 368580 [details]
Patch
Comment 6 Build Bot 2019-04-30 13:31:31 PDT
Comment on attachment 368580 [details]
Patch

Attachment 368580 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12043297

New failing tests:
webaudio/offlineaudiocontext-constructor.html
Comment 7 Build Bot 2019-04-30 13:31:33 PDT
Created attachment 368602 [details]
Archive of layout-test-results from ews115 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 8 youenn fablet 2019-04-30 14:47:23 PDT
Comment on attachment 368602 [details]
Archive of layout-test-results from ews115 for mac-highsierra

Error is related to another rolled out patch
Comment 9 WebKit Commit Bot 2019-04-30 16:56:31 PDT
Comment on attachment 368580 [details]
Patch

Clearing flags on attachment: 368580

Committed r244813: <https://trac.webkit.org/changeset/244813>
Comment 10 WebKit Commit Bot 2019-04-30 16:56:32 PDT
All reviewed patches have been landed.  Closing bug.